<?php

/* Reminder: always indent with 4 spaces (no tabs). */

/**
 * Geeklog 2
 *
 * License details are yet to be determined.  
 *
 */

/**
 * Geeklog 2 [Plugin Name] Plugin Configuration File
 *
 * This is the configuration file for the Link Plugin for Geeklog 2.
 * @author Your Name <user@example.com>
 * @package net.geeklog.plugins.pluginlogicalname
 *
 */

$pluginlogicalnameConf['dao_options'] = 
    array('dao_name'=>'PropelDAO',
          'namedQueryFile' => Geeklog_Config::getValue('path_plugins') . 'link/sql/NamedQueries.xml',
          'databaseName' => Geeklog_Config::getValue('db_name'),
          'pathDomainObjects' => 'plugins/link/models/'
          );

// Logging Configuration.  Geeklog 2 uses PEAR::log, the following array maps directly to what 
// that class expects. See http://pear.php.net/manual/en/package.logging.log.php for specifics on
// how to use PEAR::Log
$pluginlogicalnameConf['log'] = array('handler'=>'file',
                       'name'=>Geeklog_Config::getValue('path_logs') . 'pluginlogicalname.log',
                       'ident'=>'Geeklog 2 Link Manager',
                       'conf'=>array('mode'=>0660,
                                     'timeFormat'=>'%b %d %H:%M:%S'));
                                     
// Hack for some wierd scoping issue
return $pluginlogicalnameConf;

?>